void CircularRules(double *p, double *y)
{
    double p1=p[0], p2=p[1];
    double p3=p[2], p4=p[3];

    // Elliptical constaint
    y[0] = ( (((p1-1)*(p1-1)/(1*1) + (p2-0.5)*(p2-0.5)/(0.5*0.5)) < 0.2) ? 0 : 1);
    y[1] = (( (p3-1)*(p3-1)/(1*1) + (p4-1.5)*(p4-1.5)/(1.5*1.5) > 1 ) ? 0 : 1);

}

void Linear(double *p, double *y)
{
    double p1=p[0], p2=p[1];
    double p3=p[2], p4=p[3];

    // Linear constaint
    y[0] = (( (p1 + p2>=2.5) || (p1-p2<=0) ) ? 0 : 1);
    y[1] = ((p3 - p4<0) ? 0 : 1);

}
