{
  TDataServer * tds = new TDataServer();
  tds->fileDataRead("cornell.dat");
  
  tds->normalize("*", "cr");  // ("x1:x2:x3:x4:x5:x6:y", "cr", TDataServer::kCR)
  
  TCanvas *c = new TCanvas("c1", "Graph for the Macro modeler",5,64,1270,667);
  TPad *pad = new TPad("pad","pad",0, 0.03, 1, 1); pad->Draw();
  pad->Divide(2);
  pad->cd(1);
  tds->draw("y:x7");
  
  TLinearRegression *tlin = new TLinearRegression(tds,"x1cr:x2cr:x3cr:x4cr:x5cr:x6cr", "ycr", "nointercept");
  tlin->estimate();  
  
 pad->cd(2);
 tds->draw("ycr:ycrhat");
    
}