{
   // step 1
   TDataServer *tds = new TDataServer("tdsoat","Dataserver simple OAT design");
   tds->addAttribute(new TAttribute("x1"));
   tds->addAttribute(new TAttribute("x2"));
        
   // step 2
   tds->getAttribute("x1")->setDefaultValue(0.0);
   tds->getAttribute("x2")->setDefaultValue(10.0);
        
   // step 3
   TOATDesign *oatSampler = new TOATDesign(tds);
        
   // step 4
   Bool_t use_percentage = kTRUE;
   oatSampler->setRange("x1", 2.0);
   oatSampler->setRange("x2", 40.0, use_percentage);
        
   // step 5
   oatSampler->generateSample();
    
   // display
   tds->scan();  
  }