{
   // step 1
   TDataServer *tds = new TDataServer("tds","Data server for simple OAT design");
   tds->fileDataRead("myNominalValues.dat");      
        
   // step 3
   TOATDesign *oatSampler = new TOATDesign(tds);
        
   // step 4
   Bool_t use_percentage = kTRUE;
   oatSampler->setRange("x1", "rx1");
   oatSampler->setRange("x2", 40.0, use_percentage);
        
   // step 5
   oatSampler->generateSample();
    
   // display
   tds->scan();  
  }