{
   
  // Define the DataServer
  TDataServer *tds = new TDataServer("tdsflowreate", "DataBase flowreate");
  tds->fileDataRead("ref_sobol_launching_.dat");
  
  TSobol * tsobol = new TSobol(tds, "rw:r:tu:tl:hu:hl:l:kw", "flowrateModel");
  tsobol->computeIndexes();
      
  TCanvas *cc = new TCanvas("c1", "histgramme",5,64,1270,667);
  TPad *pad = new TPad("pad","pad",0, 0.03, 1, 1); pad->Draw();
  pad->Divide(2,1);
  pad->cd(1);
  tsobol->drawIndexes("Flowrate", "", "nonewcanv,hist,all");
  
  pad->cd(2);
  tsobol->drawIndexes("Flowrate", "", "nonewcanv,pie,first");
    
}