{
  
  TDataServer *tds = new TDataServer();
  tds->fileDataRead("jdd_circe_summerschool2006_dataserver.dat");
    
  //  tds->addAttribute("uexp", "0.05*exp");
  //  tds->addAttribute("sens3", "sens1*sens2");
  
  // Create the TCirce object from the TDS and specify Experimental attribute, Code attribute and sensitivity attributes
  TCirce * tc = new TCirce(tds, "exp", "code", "sens1,sens2");
  // tc->setTolerance(1e-5);
  // tc->setYStarSigma("uexp");
  // tc->setNCMatrix(5);

  // TMatrixD initCMat(2,2);
  // initCMat.Zero(); initCMat(0,0) = 0.042737; initCMat(1,1) = 0.525673; 
  // tc->setCMatrixInitial(initCMat);

  // TVectorD initBVec(2);
  // initBVec(0) = -1.436394; initBVec(1) = -1.501561;
  // tc->setBVectorInitial(initBVec);   
  tc->estimate();
  
  // Post-treatment
  TVectorD vBiais = tc->getBVector();
  cout << " ************** vBiais rows[" << vBiais.GetNrows() << "]"<< endl;
  vBiais.Print();
  TMatrixD matC = tc->getCMatrix();
  cout << " ************** matC rows[" << matC.GetNrows() << "] col [" << matC.GetNcols() << "]"<< endl;
  matC.Print();
}