//////////////////////////////////////////////////////////////
// Copyright (C) 2013-2023 CEA/DES
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation, either version 3 of the License, or any
// later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.
//////////////////////////////////////////////////////////////

#pragma link off all globals;
#pragma link off all classes;
#pragma link off all functions;

#pragma link C++ namespace URANIE::Calibration;

#pragma link C++ class URANIE::Calibration::TCalibration+;
#pragma link C++ class URANIE::Calibration::TMinimisation+;
#pragma link C++ class URANIE::Calibration::TLinearBayesian+;
#pragma link C++ class URANIE::Calibration::TMetropHasting+;
// ABC
#pragma link C++ class URANIE::Calibration::TABC+;
#pragma link C++ class URANIE::Calibration::TRejectionABC+;
// Distance functions
#pragma link C++ class URANIE::Calibration::TDistanceFunction+;
#pragma link C++ class URANIE::Calibration::TL1DistanceFunction+;
#pragma link C++ class URANIE::Calibration::TLSDistanceFunction+;
#pragma link C++ class URANIE::Calibration::TWeightedLSDistanceFunction+;
#pragma link C++ class URANIE::Calibration::TRelativeLSDistanceFunction+;
#pragma link C++ class URANIE::Calibration::TMahalanobisDistanceFunction+;

