
#ifndef libpgauss_EXPORT_H
#define libpgauss_EXPORT_H

#ifdef libpgauss_BUILT_AS_STATIC
#  define libpgauss_EXPORT
#  define LIBPGAUSS_NO_EXPORT
#else
#  ifndef libpgauss_EXPORT
#    ifdef libpgauss_EXPORTS
        /* We are building this library */
#      define libpgauss_EXPORT __declspec(dllexport)
#    else
        /* We are using this library */
#      define libpgauss_EXPORT __declspec(dllimport)
#    endif
#  endif

#  ifndef LIBPGAUSS_NO_EXPORT
#    define LIBPGAUSS_NO_EXPORT 
#  endif
#endif

#ifndef LIBPGAUSS_DEPRECATED
#  define LIBPGAUSS_DEPRECATED __declspec(deprecated)
#  define LIBPGAUSS_DEPRECATED_EXPORT libpgauss_EXPORT __declspec(deprecated)
#  define LIBPGAUSS_DEPRECATED_NO_EXPORT LIBPGAUSS_NO_EXPORT __declspec(deprecated)
#endif

#define DEFINE_NO_DEPRECATED 0
#if DEFINE_NO_DEPRECATED
# define LIBPGAUSS_NO_DEPRECATED
#endif

#endif
