
#ifndef libanisp_EXPORT_H
#define libanisp_EXPORT_H

#ifdef libanisp_BUILT_AS_STATIC
#  define libanisp_EXPORT
#  define LIBANISP_NO_EXPORT
#else
#  ifndef libanisp_EXPORT
#    ifdef libanisp_EXPORTS
        /* We are building this library */
#      define libanisp_EXPORT __declspec(dllexport)
#    else
        /* We are using this library */
#      define libanisp_EXPORT __declspec(dllimport)
#    endif
#  endif

#  ifndef LIBANISP_NO_EXPORT
#    define LIBANISP_NO_EXPORT 
#  endif
#endif

#ifndef LIBANISP_DEPRECATED
#  define LIBANISP_DEPRECATED __declspec(deprecated)
#  define LIBANISP_DEPRECATED_EXPORT libanisp_EXPORT __declspec(deprecated)
#  define LIBANISP_DEPRECATED_NO_EXPORT LIBANISP_NO_EXPORT __declspec(deprecated)
#endif

#define DEFINE_NO_DEPRECATED 0
#if DEFINE_NO_DEPRECATED
# define LIBANISP_NO_DEPRECATED
#endif


#endif

