
#ifndef libnisp_EXPORT_H
#define libnisp_EXPORT_H


#ifdef libnisp_BUILT_AS_STATIC
#  define libnisp_EXPORT
#  define LIBNISP_NO_EXPORT
#else
#  ifndef libnisp_EXPORT
#    ifdef libnisp_EXPORTS
        /* We are building this library */
#      define libnisp_EXPORT __declspec(dllexport)
#    else
        /* We are using this library */
#      define libnisp_EXPORT __declspec(dllimport)
#    endif
#  endif

#  ifndef LIBNISP_NO_EXPORT
#    define LIBNISP_NO_EXPORT 
#  endif
#endif

#ifndef LIBNISP_DEPRECATED
#  define LIBNISP_DEPRECATED __declspec(deprecated)
#  define LIBNISP_DEPRECATED_EXPORT libnisp_EXPORT __declspec(deprecated)
#  define LIBNISP_DEPRECATED_NO_EXPORT LIBNISP_NO_EXPORT __declspec(deprecated)
#endif

#define DEFINE_NO_DEPRECATED 0
#if DEFINE_NO_DEPRECATED
# define LIBNISP_NO_DEPRECATED
#endif


#endif

