//////////////////////////////////////////////////////////////
// Copyright (C) 2013-2023 CEA/DES
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation, either version 3 of the License, or any
// later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.
//////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////
// $Id$
// $Author$
// $Date$
// $Revision$
// $State$
//////////////////////////////////////////////////////////////
/*!
 \file   TestUserFunctions.h
 \author Fabrice Gaudier <fabrice.gaudier@cea.fr>
 \date   2012-09-14 10:45:11

 \brief Inteface for the rosenbrock function
 */

// void flowrateModel(Double_t *x, Double_t *y);

// void HoXuSurrogateModel(Double_t *x, Double_t *y);

// void flowrateModelSquared(Double_t *x, Double_t *y);

void fSum(Double_t *x, Double_t *y);

// void fProd(Double_t *x, Double_t *y);

void FctIshigami(Double_t *x, Double_t *y);

void FctLinear(Double_t *x, Double_t *y);

void FctVenise(Double_t *x, Double_t *y);

// End Of File
