//////////////////////////////////////////////////////////////
// Copyright (C) 2013-2023 CEA/DES
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or any 
// later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////
// $Id$
// $Author$
// $Date$
// $Revision 1.2 $
// $State$
//////////////////////////////////////////////////////////////
/*!
 \file   vzr_naitre.h
 \author Gilles ARNAUD <Gilles.Arnaud@cea.fr>
 \date    2008-03-19.09.17.11

 \brief naissance des indivividus
 */

#ifndef __NAITRE__
#define __NAITRE__

extern int vizir1_reevaluation(struct vizir*self, struct vzrwork *wself);
extern int vizir1_immigration(struct vizir*, struct vzrwork *);
extern void accoupler(struct vizir*, struct vzrwork *);
extern void vizir1_procreer(struct vizir*, struct vzrwork *);

#endif

