//////////////////////////////////////////////////////////////
// Copyright (C) 2013-2023 CEA/DES
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or any 
// later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////
// $Id$
// $Author$
// $Date$
// $Revision 1.2 $
// $State$
//////////////////////////////////////////////////////////////
/*!
 \file   bracket.h
 \author Gilles ARNAUD <Gilles.Arnaud@cea.fr>
 \date    2012-07-13.12.14.44

 \brief construction dun intervalle autour
 */

#ifndef __BRACKET__
#define __BRACKET__

#ifdef __cplusplus
extern "C"
{
#endif

int bracket_next(double *x1, double *fx1, double *x2, double *fx2);

#ifdef __cplusplus
}
#endif

#endif
