/* --- Ansi C --- */
//////////////////////////////////////////////////////////////////////
// Copyright (C) 2010-2023 CEA/DES
// 
// This program is free software: you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public License
// as published by the Free Software Foundation, either version 3 of
// the License, or any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public
// License along with this program. 
// if not, see <http://www.gnu.org/licenses/>.
//////////////////////////////////////////////////////////////////////
/*!
 \file   nms.h
 \author Gilles ARNAUD <Gilles.Arnaud@cea.fr>
 \date   2010-04-15
 
 \brief  interface utilisateur du simplex
*/


#ifndef __NMS_USER__
#define __NMS_USER__

#include "simplex/nms_struct.h"

#include "vizir/vzrfun_std.h"
#include "simplex/nms_query.h"
#include "simplex/nms_core.h"
#include "simplex/nms_agent.h"

#endif
