/* --- Ansi C --- */
//////////////////////////////////////////////////////////////////////
// Copyright (C) 2007-2023 CEA/DES
// 
// This program is free software: you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public License
// as published by the Free Software Foundation, either version 3 of
// the License, or any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public
// License along with this program. 
// if not, see <http://www.gnu.org/licenses/>.
//////////////////////////////////////////////////////////////////////
/*!
 \file   vzr_hongrois.h
 \author Gilles ARNAUD <Gilles.Arnaud@cea.fr>
 \date   2007-05-22
 
 \brief  affectation lineaire algorithme hongrois
*/

#ifndef __VZR_HONGROIS__
#define __VZR_HONGROIS__

#define XX -1
#define OO -2

extern int hongrois(int, double**, short **, int*);

#endif

