//////////////////////////////////////////////////////////////
// Copyright (C) 2013-2023 CEA/DES
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation, either version 3 of the License, or any
// later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.
//////////////////////////////////////////////////////////////
/*! \file TUniforme.cxx
 * \brief Implementation of the class representing the distribution of a real uniform law 
 *
 */
#include "TUniforme.h"

ClassImp (TUniforme)

TUniforme::TUniforme(Double_t x, Double_t y)
{
    a = x;
    b = y;

}
TUniforme::~TUniforme()
{
}
// fin de TUniforme.cxx
