/* Declarations for dynamic allocation */

int *ivector();
int **imatrix();

/** 
 * Definitions for Galois Fields used by OA Sampler
 */

struct GF
{
    int n, p, q;
    int *xton;
    int **plus;
    int **times;
    int *inv;
    int *neg;
    int *root;
    int **poly;
};

void GF_poly_prod(int, int, int *, int *, int *, int *);

int GF_poly2int(int, int, int *);

int GF_ready(struct GF *, int, int, int *);

void GF_print(struct GF *);

void GF_free(struct GF *);

