

#-------------------------------------------------------------------------
# Old parameter not supported any longer
#-------------------------------------------------------------------------
  if(DEFINED WITH-CLUB)
    message(FATAL_ERROR "ERROR - URANIE does not need CLUB anymore; parameter WITH-CLUB not taken into account any longer.\n")
  endif(DEFINED WITH-CLUB)
  
  # Club in Path not taken into account
  find_program(CLUB_CONFIG_EXECUTABLE NAMES club-config PATHS PATH)
  if (NOT ${CLUB_CONFIG_EXECUTABLE} MATCHES "CLUB_CONFIG_EXECUTABLE-NOTFOUND")
    message( WARNING "CLUB was found in PATH, but is no longer used by URANIE. Consider removing CLUB from the PATH if not needed by anything else.")
  endif (NOT ${CLUB_CONFIG_EXECUTABLE} MATCHES "CLUB_CONFIG_EXECUTABLE-NOTFOUND")

  set(OLDCLUB_DEFINITION "")
#-------------------------------------------------------------------------
# CLUB installation through archive
#-------------------------------------------------------------------------
if(WITH-OLDCLUB STREQUAL "ON")
    message(STATUS "Untar CLUB archive")
    exec_program(${CMAKE_COMMAND} ARGS -E chdir ${CMAKE_SOURCE_DIR}/tools tar zxf "${CMAKE_SOURCE_DIR}/tools/club-10.0.tar.gz"  OUTPUT_VARIABLE BLA)
    message(STATUS "** Configuring CLUB...")
    exec_program(${CMAKE_COMMAND} ARGS -E chdir ${CMAKE_SOURCE_DIR}/tools patch ARGS -p1 -d ${CMAKE_SOURCE_DIR}/tools/club-10.0 < ${CMAKE_SOURCE_DIR}/tools/CLUB10.0.patch OUTPUT_VARIABLE BLA)
    exec_program(${CMAKE_COMMAND} ARGS -E chdir ${CMAKE_SOURCE_DIR}/tools/club-10.0 ./configure ARGS --prefix='${CMAKE_INSTALL_PREFIX}/CLUB' --enable-shared --without-xerces-c OUTPUT_VARIABLE BLA)
    exec_program(${CMAKE_COMMAND} ARGS -E chdir ${CMAKE_SOURCE_DIR}/tools/club-10.0 echo ARGS \"\#include <cstring>\" >> ${CMAKE_SOURCE_DIR}/tools/club-10.0/src/club/ClubConfig.h OUTPUT_VARIABLE BLA)
    exec_program(${CMAKE_COMMAND} ARGS -E chdir ${CMAKE_SOURCE_DIR}/tools/club-10.0 echo ARGS \"\#include <cstdlib>\" >> ${CMAKE_SOURCE_DIR}/tools/club-10.0/src/club/ClubConfig.h OUTPUT_VARIABLE BLA)
    message(STATUS "**  Done")
    message(STATUS "** Compiling CLUB...")
    exec_program(${CMAKE_COMMAND} ARGS -E chdir ${CMAKE_SOURCE_DIR}/tools/club-10.0 make OUTPUT_VARIABLE BLA)
    message(STATUS "**  Done")
    message(STATUS "** Installing CLUB...")
    exec_program(${CMAKE_COMMAND} ARGS -E chdir ${CMAKE_SOURCE_DIR}/tools/club-10.0 make install OUTPUT_VARIABLE BLA)
    message(STATUS "**  Done")
    #Sets environment variables
    set(ENV{PATH} "${CMAKE_INSTALL_PREFIX}/CLUB/bin:$ENV{PATH}")
    set(ENV{LD_LIBRARY_PATH} "${CMAKE_INSTALL_PREFIX}/CLUB/lib:$ENV{LD_LIBRARY_PATH}")
    set(OLDCLUB_INCLUDE_DIR ${CMAKE_INSTALL_PREFIX}/CLUB/include)
    set(OLDCLUB_LIBRARY_DIR ${CMAKE_INSTALL_PREFIX}/CLUB/lib)
    set(OLDCLUB_DEPENDENCIES "club")
    set(OLDCLUB_DEFINITION "-DOLDCLUB")
endif(WITH-OLDCLUB STREQUAL "ON")

#-------------------------------------------------------------------------
