
#-------------------------------------------------------------------------
# Build the levelE use case separately
#-------------------------------------------------------------------------

set(LEVELE_SOURCE_DIR ${CMAKE_SOURCE_DIR}/launCHER/teST/coDE/levelE)
set(LEVELE_BINARY_DIR ${CMAKE_BINARY_DIR}/launCHER/teST/coDE/levelE)
if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT AND NOT gnuinstall)
  message(STATUS "Setting default installation prefix CMAKE_INSTALL_PREFIX to ${CMAKE_BINARY_DIR}")
  set(CMAKE_INSTALL_PREFIX ${CMAKE_BINARY_DIR} CACHE PATH "Default installation of URANIE" FORCE)
endif()
set(LEVELE_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX})
execute_process(COMMAND ${CMAKE_COMMAND} -E make_directory ${LEVELE_BINARY_DIR})  
execute_process(COMMAND ${CMAKE_COMMAND} -E chdir ${LEVELE_BINARY_DIR} 
            cmake ${CMAKE_SOURCE_DIR}/launCHER/teST/coDE/levelE 
            -DCMAKE_INSTALL_PREFIX=${LEVELE_INSTALL_PREFIX} OUTPUT_VARIABLE LEVELE_OUT1)
execute_process(COMMAND ${CMAKE_COMMAND} -E chdir ${LEVELE_BINARY_DIR} make OUTPUT_VARIABLE LEVELE_OUT2)
execute_process(COMMAND ${CMAKE_COMMAND} -E chdir ${LEVELE_BINARY_DIR} make install OUTPUT_VARIABLE LEVELE_OUT3)
execute_process(COMMAND ${CMAKE_COMMAND} -E chdir ${LEVELE_BINARY_DIR} echo ${LEVELE_OUT1} ${LEVELE_OUT2} ${LEVELE_OUT3} OUTPUT_FILE ${LEVELE_BINARY_DIR}/levele_compilation.log)
set(ENV{PATH} "${CMAKE_INSTALL_PREFIX}/bin:$ENV{PATH}")

#-------------------------------------------------------------------------