function(mpi_type is_linux_shared target)
    set(is_shared)
    get_target_property(MPI_TYPE ${target} TYPE)
    message(STATUS "MPI_TYPE: [${MPI_TYPE}]")
    get_target_property(MPI_INTERFACE_LINK_LIBRARIES ${target} INTERFACE_LINK_LIBRARIES)
    message(STATUS "MPI_INTERFACE_LINK_LIBRARIES: [${MPI_INTERFACE_LINK_LIBRARIES}]")
    list(GET MPI_INTERFACE_LINK_LIBRARIES 0 MPI_C_LIBRARY_FIRST)
    get_filename_component(MPI_LIB_EXTENTION ${MPI_C_LIBRARY_FIRST} LAST_EXT)
    if(MPI_LIB_EXTENTION STREQUAL ".so")
        set(is_shared ON)
    endif()
    set(${is_linux_shared} ${is_shared} PARENT_SCOPE)
endfunction()
