"""
Example of Circe method application
"""
from rootlogon import DataServer, UncertModeler

tds = DataServer.TDataServer()
tds.fileDataRead("jdd_circe_summerschool2006_dataserver.dat")

# tds.addAttribute("uexp", "0.05*exp")
# tds.addAttribute("sens3", "sens1*sens2")

# Create the TCirce object from the TDS and specify Experimental attribute
# but also Code attribute and sensitivity attributes
tc = UncertModeler.TCirce(tds, "exp", "code", "sens1,sens2")
# tc.setTolerance(1e-5)
# tc.setYStarSigma("uexp")
# tc.setNCMatrix(5)

# TMatrixD initCMat(2,2)
# initCMat.Zero(); initCMat(0,0) = 0.042737; initCMat(1,1) = 0.525673
# tc.setCMatrixInitial(initCMat)

# TVectorD initBVec(2)
# initBVec(0) = -1.436394; initBVec(1) = -1.501561
# tc.setBVectorInitial(initBVec)
tc.estimate()

# Post-treatment
vBiais = tc.getBVector()
print(" ** vBiais rows["+str(vBiais.GetNrows())+"]")
vBiais.Print()

matC = tc.getCMatrix()
print(" ** matC rows["+str(matC.GetNrows())+"] col ["+str(matC.GetNcols())+"]")
matC.Print()
