//////////////////////////////////////////////////////////////
// Copyright (C) 2013-2023 CEA/DES
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation, either version 3 of the License, or any
// later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.
//////////////////////////////////////////////////////////////

/** ****************************************************** **
                    Functions (GPU)
 ** ****************************************************** **/

#ifndef CPU_PROCESSING_ONLY

  #include <cublas.h>
  #include "lu.h"
  #include "kernels_gpu.h"

  #ifndef __NN_MLAYERPERCEPTRON_GPU_INCLUDE__
  #define __NN_MLAYERPERCEPTRON_GPU_INCLUDE__

    namespace NeuralNetworkLevenbergMarquardt
    {

    } // namespace NeuralNetworkLevenbergMarquardt

  #endif  // #ifndef __NN_MLAYERPERCEPTRON_GPU_INCLUDE__
  
#endif  // #ifndef CPU_PROCESSING_ONLY
