/* --- Ansi C --- */
//////////////////////////////////////////////////////////////////////
// Copyright (C) 2016-2023 CEA/DES
// 
// This program is free software: you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public License
// as published by the Free Software Foundation, either version 3 of
// the License, or any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU Lesser General Public License for more details.
// 
// You should have received a copy of the GNU Lesser General Public
// License along with this program. 
// if not, see <http://www.gnu.org/licenses/>.
//////////////////////////////////////////////////////////////////////
/*!
 \file   vzr_mating.h
 \author Gilles ARNAUD <Gilles.Arnaud@cea.fr>
 \date   2016-07-13
 
 \brief  choix des parents
*/

#ifndef __VZR_MATING__
#define __VZR_MATING__

#include "genetic/vzr_struct.h"
#include "vizir/vzrpop_api.h"

extern struct vzrcoupling vzrcoupling_std;
extern struct vzrcoupling vzrcoupling_voisin;
extern struct vzrcoupling vzrcoupling_ibea;
extern struct vzrcoupling vzrcoupling_ibea2;
extern struct vzrcoupling vzrcoupling_proche;
extern struct vzrcoupling vzrcoupling_moeadd;

#endif
