//////////////////////////////////////////////////////////////
// Copyright (C) 2013-2023 CEA/DES
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published
// by the Free Software Foundation, either version 3 of the License, or any
// later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.
//////////////////////////////////////////////////////////////
#ifndef TNUNIFORME_H
#define TNUNIFORME_H

#include <iostream>
#include "Rtypes.h"

#ifndef TDISTRIBUTION_H
#include "TDistribution.h"
#endif

class TUniforme: public TDistribution
{

private:
    Double_t a;
    Double_t b;

public:
    TUniforme(Double_t x, Double_t y);
    ~TUniforme();

    ClassDef(TUniforme, ID_SAMPLER);
    // DDDfsf
};
#endif

