import argparse, json

parser = argparse.ArgumentParser(description='Remove Uranie type alias')
parser.add_argument('completion', help='json completion file')
parser.add_argument('type', help='Uranie type')
args = parser.parse_args()

with open(args.completion) as file:
    uranie_completion = json.load(file)

length_before = len(uranie_completion)
uranie_completion.remove(args.type)
length_after = len(uranie_completion)
print('uranie_completion:', length_before, '->', length_after)

with open(args.completion, 'w') as file:
    json.dump(uranie_completion, file)
