#include "uranie_commands.h"
#include "python_commands.h"
#include "python_config.h"

void UranieTests::set_python_executable(std::string& path, bool doubly_protected) {
    if (doubly_protected)
        path = DOUBLE_PROTECTION + PYTHON_EXEC + DOUBLE_PROTECTION;
    else
        path = SIMPLE_PROTECTION + PYTHON_EXEC + SIMPLE_PROTECTION;
}

std::string UranieTests::python_command(const std::string& filename) {
    std::string core_command = command_prefix() + PYTHON_EXEC + " ./" + filename;

    return uranie_command(core_command);
}
