#ifndef MEMORY_H
#define MEMORY_H

#ifdef WIN32
#include "windows.h"
#include "psapi.h"
#endif

/// A Memory measurer.
class Memory
{
public:
    void start();
    void finish();

    int parseLine(char* line);

#ifdef WIN32
    SIZE_T getVmValue();
#else
    int getVmValue();    
#endif
    
    double elapsedMemory() const;

private:
#ifdef WIN32
    SIZE_T  beginMemory, endMemory;    
#else
    int  beginMemory, endMemory;    
#endif

    double usedMemory;
    
};



// Inlines methods for Memory:
// --------------------------



#endif  // MEMORY_H
